Bug 873542 - mga200: no graphics on UCS B series without nomodeset [NEEDINFO]
Summary: mga200: no graphics on UCS B series without nomodeset
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga
Version: 18
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 882518 888387 916661 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-06 06:59 UTC by Chris Ricker
Modified: 2014-02-05 22:51 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:51:57 UTC
Type: Bug
airlied: needinfo?


Attachments (Terms of Use)
lspci -vv output (97.78 KB, text/plain)
2012-11-06 07:01 UTC, Chris Ricker
no flags Details
lspci -vv -nn output (100.10 KB, text/plain)
2012-11-16 15:56 UTC, Chris Ricker
no flags Details
Serial console output up to apparent hang (51.55 KB, text/plain)
2012-12-19 12:50 UTC, Tony Camuso
no flags Details
Serial console output after hanging for some time (7.85 KB, text/plain)
2012-12-19 12:56 UTC, Tony Camuso
no flags Details

Description Chris Ricker 2012-11-06 06:59:35 UTC
This is with Cisco UCS B-series servers

F17 installs and boots fine

F18 requires nomodeset boot option for any display to work. Otherwise, the screen blanks and then auto-powers down during the boot process

Tested using a network install from Fedora-18-Beta-TC7, so

kernel-3.6.5-2.fc18.x86_64.rpm
plymouth-0.8.7-1.fc18.x86_64.rpm
anaconda 18.24

Comment 1 Chris Ricker 2012-11-06 07:01:06 UTC
Created attachment 639139 [details]
lspci -vv output

lspci -vv output

Comment 2 Josh Boyer 2012-11-13 14:50:37 UTC
Does the F17 install boot fine with the latest 3.6.6 kernel from stable updates?

If you remove 'rhgb' and 'quiet' from the command line on the F18 install, do you get some sort of oops output?

Which graphics driver is in use here?  It isn't obvious to me from the lspci output.

Comment 3 Josh Boyer 2012-11-13 15:04:48 UTC
(In reply to comment #2) 
> Which graphics driver is in use here?  It isn't obvious to me from the lspci
> output.

Nevermind on this bit.  Somehow I missed the Matrox part in the lspci output.  Answers to the other two questions would be appreciated.

Comment 4 Chris Ricker 2012-11-13 20:42:23 UTC
3.6.6-1.fc17.x86_64 boots fine on F17

On F18 no oops that I can see or that logs -- monitor or remote display just goes to no-signal-recieved sleep mode during install / boot just after the kernel is loaded and the init process starts running through scripts

Comment 5 Josh Boyer 2012-11-14 16:58:29 UTC
OK.  In F18 kernels, we have CONFIG_DRM_MGA200=m and that isn't set in F17.  So it seems there's a problem with that module and the particular card/machine you have.

Dave, should we have this enabled in F18 still?

Comment 6 Dave Airlie 2012-11-14 23:41:57 UTC
yes its for f18.

Can you boot with nomodeset to run level 3, ssh in and modprobe mgag200 modeset=1?

then get the dmesg?

also lspci -vvnn

Comment 7 Chris Ricker 2012-11-16 15:55:32 UTC
Testing with kernel-3.6.6-3.fc18.x86_64

As soon as I modprobe mgag200 modeset=1 it kills the display signal

messages generated are:

Nov 16 10:53:14 f18test3 kernel: [  108.053393] fb: conflicting fb hw usage mgag200drmfb vs VESA VGA - removing generic driver
Nov 16 10:53:14 f18test3 kernel: [  108.056942] Console: switching to colour dummy device 80x25
Nov 16 10:53:14 f18test3 kernel: [  108.063971] [TTM] Zone  kernel: Available graphics memory: 24697696 kiB
Nov 16 10:53:14 f18test3 kernel: [  108.063977] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
Nov 16 10:53:14 f18test3 kernel: [  108.063981] [TTM] Initializing pool allocator
Nov 16 10:53:14 f18test3 kernel: [  108.063987] [TTM] Initializing DMA pool allocator
Nov 16 10:53:14 f18test3 kernel: [  108.087142] fbcon: mgadrmfb (fb0) is primary device
Nov 16 10:53:15 f18test3 kernel: [  108.196693] [drm] mga base 0
Nov 16 10:53:15 f18test3 kernel: [  108.303725] Console: switching to colour frame buffer device 128x48
Nov 16 10:53:15 f18test3 kernel: [  108.344194] fb0: mgadrmfb frame buffer device
Nov 16 10:53:15 f18test3 kernel: [  108.344535] drm: registered panic notifier
Nov 16 10:53:15 f18test3 kernel: [  108.344856] [drm] Initialized mgag200 1.0.0 20110418 for 0000:0e:00.0 on minor 0

Comment 8 Chris Ricker 2012-11-16 15:56:23 UTC
Created attachment 646431 [details]
lspci -vv -nn output

Comment 9 Josh Boyer 2012-12-04 13:31:46 UTC
*** Bug 882518 has been marked as a duplicate of this bug. ***

Comment 10 Josh Boyer 2012-12-18 16:40:30 UTC
*** Bug 888387 has been marked as a duplicate of this bug. ***

Comment 11 Tony Camuso 2012-12-19 12:50:59 UTC
Created attachment 666056 [details]
Serial console output up to apparent hang


This is a console dump to the point where progress seems to halt. The reason I say, "seems to", is that, if you wait long enough on this platform (HP DL380 Gen8), you will be prompted in text mode to continue in text mode or install via vnc.

Comment 12 Tony Camuso 2012-12-19 12:56:41 UTC
Created attachment 666058 [details]
Serial console output after hanging for some time


After a few minutes, I saw progress on the serial console and was prompted to continue in VNC or remain in text mode. 

I was able to connect a VNC client to the booting system, but the install hung when I tried to customize partitioning. Can't say if this is a graphics problem or an Anaconda problem.

Comment 13 Gilboa Davara 2013-01-28 12:38:20 UTC
I can confirm the OP on a number of different Intel servers.

S3210SH:
==================================
$ lspci -vv | grep MGA -A27
02:00.0 VGA compatible controller: Matrox Electronics Systems Ltd. MGA G200e [Pilot] ServerEngines (SEP1) (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Emulex Corporation Device 0101
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort+ <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=16M]
        Region 1: Memory at e1800000 (32-bit, non-prefetchable) [size=16K]
        Region 2: Memory at e1000000 (32-bit, non-prefetchable) [size=8M]
        Expansion ROM at e1810000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [e4] Express (v1) Legacy Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
                        ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr- TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s, Latency L0 <64ns, L1 <1us
                        ClockPM- Surprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
        Capabilities: [54] MSI: Enable- Count=1/1 Maskable- 64bit-
                Address: 00000000  Data: 0000

S3420GP:
==================================
$ lspci -vv | grep MGA -A27
0d:00.0 VGA compatible controller: Matrox Electronics Systems Ltd. MGA G200e [Pilot] ServerEngines (SEP1) (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Intel Corporation Device 0101
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at b0000000 (32-bit, prefetchable) [size=16M]
        Region 1: Memory at b1800000 (32-bit, non-prefetchable) [size=16K]
        Region 2: Memory at b1000000 (32-bit, non-prefetchable) [size=8M]
        Expansion ROM at b1810000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [e4] Express (v1) Legacy Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
                        ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s, Latency L0 <64ns, L1 <1us
                        ClockPM- Surprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
        Capabilities: [54] MSI: Enable- Count=1/1 Maskable- 64bit-
                Address: 00000000  Data: 0000

Modprobe dmesg:
[  338.896233] checking generic (b0000000 280000) vs hw (b0000000 1000000)
[  338.896238] fb: conflicting fb hw usage mgag200drmfb vs VESA VGA - removing generic driver
[  338.896279] Console: switching to colour dummy device 80x25
[  338.906149] [TTM] Zone  kernel: Available graphics memory: 4068262 kiB
[  338.906152] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
[  338.906153] [TTM] Initializing pool allocator
[  338.906156] [TTM] Initializing DMA pool allocator
[  338.937681] fbcon: mgadrmfb (fb0) is primary device
[  339.046519] [drm] mga base 0
[  339.197009] Console: switching to colour frame buffer device 128x48
[  339.240503] fb0: mgadrmfb frame buffer device
[  339.240505] drm: registered panic notifier
[  339.240559] [drm] Initialized mgag200 1.0.0 20110418 for 0000:0d:00.0 on minor 0

- Gilboa

Comment 14 Bert DeKnuydt 2013-02-27 12:00:04 UTC
On HP ProLiant DL180 G6, I get some garbled video with F18,
both with kernel-3.6.10-4.fc18.x86_64 and kernel-3.7.9-205.fc18.x86_64,
both on a physical VGA connection and on the remote-console/IPMI
stuff. Machine functions normally though.

Using 

     GRUB_CMDLINE_LINUX+=" mgag200.modeset=0 "

in /etc/defaults/grub, I get normal Video

02:00.0 VGA compatible controller: Matrox Electronics Systems Ltd. MGA G200e [Pilot] ServerEngines (SEP1) (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Emulex Corporation Device 0100
	Flags: bus master, fast devsel, latency 0, IRQ 10
	Memory at f8000000 (32-bit, prefetchable) [size=16M]
	Memory at fbafc000 (32-bit, non-prefetchable) [size=16K]
	Memory at fb000000 (32-bit, non-prefetchable) [size=8M]
	Expansion ROM at fbae0000 [disabled] [size=64K]
	Capabilities: [dc] Power Management version 2
	Capabilities: [e4] Express Legacy Endpoint, MSI 00
	Capabilities: [54] MSI: Enable- Count=1/1 Maskable- 64bit-

Bert.

Comment 15 Tony Camuso 2013-02-28 19:14:10 UTC
Haven't seen any movement on this one in a month. 

Please tell us there has been some progress.

Comment 16 Josh Boyer 2013-02-28 19:24:38 UTC
*** Bug 916661 has been marked as a duplicate of this bug. ***

Comment 17 Bert DeKnuydt 2013-03-04 14:28:47 UTC
No change with 3.8.1-201.fc18.x86_64.

Comment 18 Yann Droneaud 2013-08-15 19:30:17 UTC
(In reply to Bert DeKnuydt from comment #14)
> 
> Using 
> 
>      GRUB_CMDLINE_LINUX+=" mgag200.modeset=0 "
> 
> in /etc/defaults/grub, I get normal Video
> 

I confirm.

While updating Fedora 17 to Fedora 18 using Fedup on a HP ML110 G7,
I need mgag200.modeset=0 option to have a usable VGA screen,
otherwise, the screen is blank and put on standby.

BTW, so I don't see how xorg-x11-drv-mga is involved in the Fedup boot target.

Regards.

Comment 19 Gilboa Davara 2013-08-18 06:36:28 UTC
Has anyone tested F19?

- Gilboa

Comment 20 Yann Droneaud 2013-08-18 09:54:36 UTC
(In reply to Yann Droneaud from comment #18)
> (In reply to Bert DeKnuydt from comment #14)
> > 
> > Using 
> > 
> >      GRUB_CMDLINE_LINUX+=" mgag200.modeset=0 "
> > 
> > in /etc/defaults/grub, I get normal Video
> > 
> 
> I confirm.
> 
> While updating Fedora 17 to Fedora 18 using Fedup on a HP ML110 G7,
> I need mgag200.modeset=0 option to have a usable VGA screen,
> otherwise, the screen is blank and put on standby.
> 
> BTW, so I don't see how xorg-x11-drv-mga is involved in the Fedup boot
> target.
> 

After Fedup upgrade to F18, mgag200.modeset=0 was not required to boot F18.
Then Fedup upgrade to F19 was done without any workaround.

Perhaps Fedup F18 boot image is missing some update to fix the mga modeset problem.

Regards.

Comment 21 Gilboa Davara 2013-08-19 06:35:51 UTC
Can you post the mga and kernel versions?
(rpm -qa | egrep -e 'drv-mga|kernel' | sort)

Comment 22 Matthew Hively 2013-08-23 00:37:22 UTC
We upgraded a FC18 install to a FC19 using yum distro sync.
After upgrade attempted to boot on a supermicro server mainboard:
H8QGI+-F
Boot process froze on mgag200 video driver switchover.

After adding nomodeset to the grub boot parameters system booted correctly.

I hope it helps.

Comment 23 Dave Airlie 2013-08-23 21:34:43 UTC
can someone boot with drm.debug=6 and get the dmesg from the dark screen?

Comment 24 Dave Airlie 2013-08-26 02:11:08 UTC
oh also Xorg.0.log from a nomodeset run.

and hopefully using F19 latest kernel (3.10.9-200.fc19.x86_64).

Comment 25 Fedora End Of Life 2013-12-21 15:11:05 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Matthew Hively 2013-12-23 23:55:02 UTC
nomodeset requirement last seen on kernel version 3.11.1-200.fc19.x86_64 or 3.10.7-200.fc19.x86_64 or 3.10.6-200.fc19.x86_64

Confirmed nomodeset NOT necessary with supermicro server mainboard: H8QGI+-F
on kernel version: 3.11.9-200.fc19.x86_64

Comment 27 Fedora End Of Life 2014-02-05 22:51:57 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.